menu

How to - Install LAMP server di ubuntu 16.04 LTS



Hello everyone,,

Kali ini codedoct akan membagikan sedikit pengalaman tentang ubuntu 16.04.. yup, belum lama ini ubuntu telah merilis versi terbarunya yaitu 16.04 LTS codedoct pun tertarik untuk mencobanya untuk keperluan development,

Dan setelah ubuntu 16.04 LTS sudah terinstall pada tablet Acer Iconia W700 codedoct pun mencoba untuk menginstall beberapa aplikasi pendukung untuk development, dalam hal ini yaitu LAMP server, apa itu LAMP server? lihat disini.

Setelah mencoba menginstall LAMP server dengan cara ini, terjadi masalah serperti ini,

Pada saat codedoct mencoba untuk restart service apache2 terjadi error seperti ini,



Kemudian codedoct mencoba untuk membuat halaman php info pada dir /var/www/html/ tapi hasilnya blank, alias halaman php sama sekali tidak bisa di display atau hanya menampilkan layar putih,

Selanjutnya codedoctpun mencoba menginstall phpmyadmin kemudian mengetesnya dengan membuka url localhost/phpmyadmin hasilnya serperti ini,


Setelah mengetahui beberapa error yang ditunjukkan codedoct pun berasumsi ada masalah pada php yang telah terinstall, setelah mencari tahu sana-sini akhirnya codedoct banyak membaca artikel bahwa default php ubuntu 16.04 LTS adalah php7.0,

Kemudian codedoct mencoba untuk menginstall ulang LAMP server dengan mengikuti cara pada page website ini.

Dan hasilnya sama saja, php7.0 tidak bekerja dengan baik, oke selanjutnya codedoct mencoba untuk menginstall php5.6 dan juga php7.0 secara bersamaan dengan code seperti ini,
sudo add-apt-repository ppa:ondrej/php
sudo apt-get update
sudo apt-get install php7.0 php5.6 php5.6-mysql php-gettext php5.6-mbstring php-xdebug libapache2-mod-php5.6 libapache2-mod-php7.0

Setelah itu menonaktifkan php7.0 dan mengaktifkan php5.6
sudo a2dismod php7.0 ; sudo a2enmod php5.6 ; sudo service apache2 restart

Dan hasilnya tara......!!

it work,.,.,

Kemudian codedoct mencoba untuk menonaktifkan php5.6 dan mengaktifkan php7.0
sudo a2dismod php5.6 ; sudo a2enmod php7.0 ; sudo service apache2 restart

Dan hasilnya tara.....!

it work to.,.,.

Akhirnya codedoct menyimpulkan bahwa untuk dapat untuk menjalankan php7.0 pada LAMP server ubuntu 16.04 LTS anda juga harus menginstall php5.6. Codedoct tidak tahu alasannya, dan codedoct juga tidak tahu hasilnya jika LAMP server ini diinstall pada ubuntu 16.04 LTS dengan menggunakan komputer tipe lain,, mungkin teman-teman ada yang sudah mencobanya?

===DONE!===